View Issue Details

IDProjectCategoryView StatusLast Update
0003035Ham Radio DeluxeBugpublic2019-01-16 22:05
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version6.5.0.166 
Target VersionFixed in Version6.5.0.183 
Summary0003035: RAC Lookup leaks memory on failure
DescriptionThe RAC Lookup will leak about a kilobyte of memory for each failed lookup. Lookups might rail when the lookup source is enabled, but not configured correctly. One common misconfiguration is providing an incorrect path.

Steps To Reproduce
1) Fire up the logbook
2) Use the "enabled" tab in the Callsign Lookup settings dialog to enable the RAC lookup CD method
3) Use the "options" tab in the same dialog to configure the path incorrectly.
4) Perform lookups -- even test lookups in the dialog are adequate

BUG#1) Memory is leaked for each lookup

TagsNo tags attached.
ModuleLogbook
Sub-ModuleCall lookup
Testing Not Tested

Relationships

Activities

K7ZCZ

2019-01-05 13:09

manager   ~0006883

fixed with this checkin
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4664

WA9PIE

2019-01-10 21:45

administrator   ~0006950

I'll accept this.

Issue History

Date Modified Username Field Change
2019-01-04 15:29 K7ZCZ New Issue
2019-01-05 13:09 K7ZCZ Assigned To => K7ZCZ
2019-01-05 13:09 K7ZCZ Status new => resolved
2019-01-05 13:09 K7ZCZ Resolution open => fixed
2019-01-05 13:09 K7ZCZ Note Added: 0006883
2019-01-07 18:06 K7ZCZ Fixed in Version => 6.5.0.168
2019-01-10 21:45 WA9PIE Status resolved => closed
2019-01-10 21:45 WA9PIE Description Updated View Revisions
2019-01-10 21:45 WA9PIE Steps to Reproduce Updated View Revisions
2019-01-10 21:45 WA9PIE Testing Not Started => Not Tested
2019-01-10 21:45 WA9PIE Note Added: 0006950
2019-01-16 22:04 WA9PIE Fixed in Version 6.5.0.168 => 6.5.0.183
2019-01-16 22:05 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe